English

Problem: Cannot install ArcGIS Desktop SDK for C++ or .NET

Description

The following error message is displayed when installing ArcGIS Desktop SDK for the Microsoft .NET Framework:

"ArcGIS Desktop SDK for the Microsoft .NET Framework requires a supported edition of Microsoft Visual Studio 2010 to proceed. Supported editions are Standard, Professional, Visual Basic Express, and Visual C# Express."

The following error message is displayed when trying to install ArcGIS Desktop SDK for Visual C++:

"ArcGIS Desktop SDK for Visual C++ requires Microsoft Visual Studio .NET 2010 to proceed."

Cause

The appropriate developer applications are not installed.

Solution or Workaround

  • To install ArcGIS Desktop SDK for the Microsoft .NET Framework, install the standard or professional edition of Microsoft Visual Studio 2010, Visual Basic Express, or Visual C# Express. See the links in the Related Information section for free installs of Visual Basic Express and Visual C# Express.
  • To install ArcGIS Desktop SDK for Visual C++, install the Standard or Professional Edition of Microsoft Visual Studio 2010, which is available for purchase from Microsoft and other software retailers.

Related Information